Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.commons.core.v1
Class LocalisedString

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.LocalisedString

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:55:46+01:00",
               comments="JAXB RI v2.2.11")
    public class LocalisedString

extends Object
implements Serializable

stringvalue localized for supported language.

Java class for LocalisedString complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LocalisedString">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <attribute name="Lang" type="{urn:be:fgov:ehealth:commons:core:v1}LangageType" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`LocalisedString()`

Method Summary
`LangageType` | `getLang()` Gets the value of the lang property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setLang(LangageType value)` Sets the value of the lang property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalisedString

    public LocalisedString()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getLang

    public LangageType getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `LangageType`

### setLang

    public void setLang(LangageType value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `LangageType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.